<?php
/*****************************************************************************
 * ForgotPasswordForm.php
 * Contains the forget password form template.
 *
 * Kabuki CMS (C) 2013-2016, Aaron van Geffen
 *****************************************************************************/

class ForgotPasswordForm extends SubTemplate
{
	protected function html_content()
	{
		echo '
						<div class="boxed_content">
							<h2>Password reset procedure</h2>';

		foreach ($this->_subtemplates as $template)
			$template->html_main();

		echo '
							<p>Please fill in the email address you used to sign up in the form below. You will be sent a reset link to your email address.</p>
							<form class="form-horizontal" action="', BASEURL, '/resetpassword/?step=1" method="post">
								<label class="control-label" for="field_emailaddress">E-mail address:</label><br>
								<input type="text" id="field_emailaddress" name="emailaddress">
								<button type="submit" class="btn btn-primary">Send mail</button>
							</form>
						</div>';
	}
}
